#
# Conditional build:
%bcond_without	kerberos5	# GSSAPI support
%bcond_with	tests		# perform "scons check" (uses localhost network, fails on apr side when IPV6 is enabled and localhost resolves only to IPV4 addresses)
#
Summary:	A high-performance asynchronous HTTP client library
Summary(pl.UTF-8):	Wysokowydajna biblioteka asynchronicznego klienta HTTP
Name:		serf
Version:	1.3.10
Release:	1
License:	Apache v2.0
Group:		Libraries
Source0:	https://downloads.apache.org/serf/%{name}-%{version}.tar.bz2
# Source0-md5:	5320087299084c297eff8e1dacfab1af
Patch0:		%{name}-scons.patch
URL:		https://serf.apache.org/
BuildRequires:	apr-devel
BuildRequires:	apr-util-devel
%{?with_kerberos5:BuildRequires:	heimdal-devel}
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	scons >= 2.3.0
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The serf library is a C-based HTTP client library built upon the
Apache Portable Runtime (APR) library. It multiplexes connections,
running the read/write communication asynchronously. Memory copies and
transformations are kept to a minimum to provide high performance
operation.

%description -l pl.UTF-8
Biblioteka serf to napisana w C biblioteka klienta HTTP stworzona w
oparciu o bibliotekę Apache Portable Runtime (APR). Obsługuje
połączenia naprzemiennie, wywołując asynchronicznie komunikację
odczyt-zapis. Kopiowanie i transformacje w pamięci są ograniczone do
minimum w celu zapewnienia wydajnego działania.

%package devel
Summary:	Header files for serf
Summary(pl.UTF-8):	Pliki nagłówkowe serf
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	apr-devel
Requires:	apr-util-devel
%{?with_kerberos5:Requires:	heimdal-devel}
Requires:	openssl-devel >= 0.9.7d

%description devel
C header files for the serf library.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla biblioteki serf.

%package static
Summary:	Static libraries for serf
Summary(pl.UTF-8):	Biblioteki statyczne serf
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static serf libraries.

%description static -l pl.UTF-8
Statyczne biblioteki serf.

%prep
%setup -q
%patch0 -p1

%build
%scons \
	PREFIX=%{_prefix} \
	LIBDIR=%{_libdir} \
	GSSAPI=/usr

%if %{with tests}
%scons check
%endif

%install
rm -rf $RPM_BUILD_ROOT

%scons install \
	PREFIX=%{_prefix} \
	LIBDIR=%{_libdir} \
	--install-sandbox=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES NOTICE README
%attr(755,root,root) %{_libdir}/libserf-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libserf-1.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libserf-1.so
%{_includedir}/serf-1
%{_pkgconfigdir}/serf-1.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libserf-1.a
%changelog
* Fri Jun 02 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/serf.git;a=log;h=master

* Thu Jun 01 2023 Jan Palus <atler@pld-linux.org> 84e446d
- up to 1.3.10

* Tue Feb 14 2023 Jakub Bogusz <qboosh@pld-linux.org> 8a7b076
- updated Source URL

* Thu Feb 02 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 23709a4
- rel 6

* Wed Feb 01 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 0d044e2
- Release 5 (by relup.sh)

* Wed Oct 13 2021 Jan Palus <atler@pld-linux.org> 1e0cf3b
- patch from fedora to unbreak serf with openssl 3; rel 4

* Wed Sep 29 2021 Jan Rękorajski <baggins@pld-linux.org> 6d8d61a
- rebuild with openssl 3.0.0, rel 3

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> a36a9b7
- release 2 (by relup.sh)

* Thu Sep 08 2016 Jan Palus <atler@pld-linux.org> 01a898a
- up to 1.3.9

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 7829d15
- x32 rebuild
- release 2 (by relup.sh)

* Tue Oct 21 2014 Jan Palus <atler@pld-linux.org> c97b0c8
- up to 1.3.8
- SSLv3 disabled upstream

* Wed Aug 13 2014 Jan Palus <atler@pld-linux.org> 29861a9
- up to 1.3.7 (fixes CVE-2014-3504)

* Wed Jul 02 2014 Jan Palus <atler@pld-linux.org> 072c394
- up to 1.3.6
- update source url

* Mon Jan 27 2014 Jakub Bogusz <qboosh@pld-linux.org> 481f2dd
- updated to 1.3.3

* Tue Oct 15 2013 Jakub Bogusz <qboosh@pld-linux.org> a85d13c
- updated to 1.3.2 (soname changed again... ping-pong)
- updated scons patch

* Sun Aug 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 8e37a90
- updated to 1.3.1 (note: new soname; build system changed to scons)
- removed outdated sh,link patches; added scons patch instead

* Mon Jun 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 5ea132d
- rel 2; build fix

* Thu Jun 06 2013 Jakub Bogusz <qboosh@pld-linux.org> 2a71e6b
- updated to 1.2.1
- enable GSSAPI support by default (via heimdal)
- added link patch to avoid using invalid -R options

* Tue Feb 26 2013 Jakub Bogusz <qboosh@pld-linux.org> ad6b8cb
- updated to 1.2.0

* Fri Oct 05 2012 Jakub Bogusz <qboosh@pld-linux.org> 31c4707
- updated to 1.1.1

* Wed Jun 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 62728df
- updated to 1.1.0

